/******************************************************************************
// Synopsis:
//-----------------------
// Dependencies:
//
//-----------------------
// CVS:
// $Author: ruschi $
// $Date: 2004/11/12 19:40:36 $
// $Revision: 1.3 $ 
//-----------------------------------------------------------------------------
//  Copyright (C) 2004 by Thomas Ruschival                               
//  ruschi@doomgarage.de                                                 
//                                                                       
//  This program is free software; you can redistribute it and/or modify 
//  it under the terms of the GNU General Public License as published by 
//  the Free Software Foundation; either version 2 of the License, or    
//  (at your option) any later version.                                  
//                                                                       
//  This program is distributed in the hope that it will be useful,      
//  but WITHOUT ANY WARRANTY; without even the implied warranty of       
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        
//  GNU General Public License for more details.                         
//                                                                       
//  You should have received a copy of the GNU General Public License    
//  along with this program; if not, write to the                        
//  Free Software Foundation, Inc.,                                      
//  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.            
*******************************************************************************/

#include "cdinforeader.h"

using namespace std;

CDInfoReader::CDInfoReader(string infile){
	source = infile;
}
/**
 * Get the value of content
 * container to store read data
 * @return the value of content
 */
CDInfo CDInfoReader::get_content ( ) {
	return content;
}
/**
 * Set the value of content
 * container to store read data
 * @param value the value of content
 */
void CDInfoReader::set_content (CDInfo& value ) {
	content = value;
}
/**
 * Get the value of name
 * Name of the Parser PlugIn
 * @return the value of name
 */
string CDInfoReader::get_name ( ) {
	return name;
}

/**
 * Get the value of filetype
 * filetype for which this Parserplugin is in charge of
 * @return the value of filetype
 */
string CDInfoReader::get_filetype ( ) {
	return filetype;
}

/**
 * Get the value of description
 * general information about hot this specific CDInforeader
 * is used and other interesting stuff
 * @return the value of description
 */
string CDInfoReader::get_description ( ) {
	return description;
}

/**
 * Get the value of source
 * Source of the trackinfornmation to read
 * specific soiurce will be defined in subclasses
 * @return the value of source
 */
string CDInfoReader::get_source ( ) {
	return source;
}
/**
 * Set the value of source
 * Source of the trackinfornmation to read
 * specific soiurce will be defined in subclasses
 * @param value the value of source
 */
void CDInfoReader::set_source (string value ) {
	source = value;
}

