/******************************************************************************
* Synopsis:
*-----------------------
* Dependencies:
*
*-----------------------
* CVS:
* $Author: ruschi $
* $Date: 2004/11/16 10:17:07 $
* $Revision: 1.6 $ 
*-----------------------------------------------------------------------------
*  Copyright (C) 2004 by Thomas Ruschival                               
*  ruschi@doomgarage.de                                                 
*                                                                       
*  This program is free software; you can redistribute it and/or modify 
*  it under the terms of the GNU General Public License as published by 
*  the Free Software Foundation; either version 2 of the License, or    
*  (at your option) any later version.                                  
*                                                                       
*  This program is distributed in the hope that it will be useful,      
*  but WITHOUT ANY WARRANTY; without even the implied warranty of       
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        
*  GNU General Public License for more details.                         
*                                                                       
*  You should have received a copy of the GNU General Public License    
*  along with this program; if not, write to the                        
*  Free Software Foundation, Inc.,                                      
*  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.            
*******************************************************************************/
#ifndef CDINLAY_TYPES_H
#define CDINLAY_TYPES_H

/**
 * Fonts used here with path, can be dynamically selected later, for now compiled in
 */
#define SPINEFONT 		"./Fonts/Palatino-Roman"
#define TRACKFONT 		"./Fonts/Bookman-Light"
#define ARTISTFONT 		"./Fonts/Palatino-Italic"
#define TITLEFONT 		"./Fonts/Palatino-Bold"
#define SUBTITLEFONT 	"./Fonts/Palatino-Roman"
#define GENERICFONT		"./Fonts/Courier"

#define SPINEFONTSIZE		 5.0
#define TRACKFONTSIZE		 3.2
#define SUBTITLEFONTSIZE 	 4.0
#define ARTISTFONTSIZE		 6.5
#define TITLEFONTSIZE		 6.5
#define GENERICFONTSIZE		 3.0

/**
 * Class FontFace
 * Datastucture for storing initialized fonts
 */
struct FontFace {
	int psfont_handle;				// Integer handle of the PostScript document 
	float size;						// Size for this fontface
};



/**
 * Struct FontSet
 * Stuct for storing all fonts used in this PS document. Here shown as a class but implemented as struct.
 */
struct FontSet {
	FontFace titlefont;				// font for the title on The back
	FontFace trackfont;				// font for the tracklist
	FontFace genericfont;			// font for all other things (small notes such as composer,date)
	FontFace artistfont;			// font for the artist on the title of the inlay (not on a sampler tracklist)
	FontFace artistfont_small;		// font for artist on a sampler tracklist
	FontFace titlefont_small;		// font for albumtitle on a sampler tracklist
	FontFace subtitlefont;			// font for subtitle
	FontFace spinefont;				// font used for Information on the spine of the cd
};




#endif
