/******************************************************************************
 // Synopsis:
 //-----------------------
 // Dependencies:
 //
 //-----------------------
 // CVS:
 // $Author: ruschi $
 // $Date: 2004/11/16 10:17:07 $
 // $Revision: 1.4 $ 
 //-----------------------------------------------------------------------------
 //  Copyright (C) 2004 by Thomas Ruschival                               
 //  ruschi@doomgarage.de                                                 
 //                                                                       
 //  This program is free software; you can redistribute it and/or modify 
 //  it under the terms of the GNU General Public License as published by 
 //  the Free Software Foundation; either version 2 of the License, or    
 //  (at your option) any later version.                                  
 //                                                                       
 //  This program is distributed in the hope that it will be useful,      
 //  but WITHOUT ANY WARRANTY; without even the implied warranty of       
 //  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        
 //  GNU General Public License for more details.                         
 //                                                                       
 //  You should have received a copy of the GNU General Public License    
 //  along with this program; if not, write to the                        
 //  Free Software Foundation, Inc.,                                      
 //  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.            
 *******************************************************************************/

#include "trackinfo.h"
using namespace std;

/**
 * Constructors/Destructors
 */
/**
 * Methods
 */
/**
 * Get the value of number
 * number of the track on original album
 * @return the value of number
 */
int TrackInfo::get_number ( ) {
	return number;
}
/**
 * Set the value of number
 * number of the track on original album
 * @param value the value of number
 */
void TrackInfo::set_number (int value ) {
	number=value;
}
/**
 * Get the value of title
 * Title of track
 * @return the value of title
 */
string TrackInfo::get_title ( ) {
	return title;
}
/**
 * Set the value of title
 * Title of track
 * @param value the value of title
 */
void TrackInfo::set_title (string value ) {
	title=value;
}
/**
 * Get the value of artist
 * Singer/Composer of this track
 * @return the value of artist
 */
string TrackInfo::get_artist ( ) {
	return artist;
}
/**
 * Set the value of artist
 * Singer/Composer of this track
 * @param value the value of artist
 */
void TrackInfo::set_artist (string value ) {
	artist=value;
}
/**
 * Get the value of albumtitle
 * title of the album this track was published 
 * @return the value of albumtitle
 */
string TrackInfo::get_albumtitle ( ) {
	return albumtitle;
}
/**
 * Set the value of albumtitle
 * title of the album this track was published 
 * @param value the value of albumtitle
 */
void TrackInfo::set_albumtitle (string value ) {
	albumtitle=value;
}
/**
 * Get the value of time
 * length of the track
 * @return the value of time
 */
int TrackInfo::get_time ( ) {
	return time;
}
/**
 * Set the value of time
 * length of the track
 * @param value the value of time
 */
void TrackInfo::set_time (int value ) {
	time = value;
}
/**
 * Get the value of genre
 * always incorrect information set in ID3v2 tags of an mp3, its implemented just 
 * in case sb wants to have this information
 * @return the value of genre
 */
string TrackInfo::get_genre ( ) {
	return genre;
}
/**
 * Set the value of genre
 * always incorrect information set in ID3v2 tags of an mp3, its implemented just
 * in case sb wants to have this information
 * @param value the value of genre
 */
void TrackInfo::set_genre (string value ) {
	genre=value;
}
/**
 * Get the value of date
 * publishdate of the track
 * @return the value of date
 */
string TrackInfo::get_date ( ) {
	return date;
}
/**
 * Set the value of date
 * publishdate of the track
 * @param value the value of date
 */
void TrackInfo::set_date (string value ) {
	date = value;
}
/**
 * Get the value of comment
 * I like the idea sb can put a not to a track thats why this attribute is there.
 * @return the value of comment
 */
string TrackInfo::get_comment ( ) {
	return comment;
}
/**
 * Set the value of comment
 * I like the idea sb can put a not to a track thats why this attribute is there.
 * @param value the value of comment
 */
void TrackInfo::set_comment (string value ) {
	comment=value;
}

